## org.jboss.util
Class WorkerQueue.QueueLoop

    java.lang.Object
      |
      +--org.jboss.util.WorkerQueue.QueueLoop

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  WorkerQueue

protected class WorkerQueue.QueueLoop
extends java.lang.Object
implements java.lang.Runnable

Class that loops getting the next job to be executed and then executing it, in the worker thread.

Constructor Summary
`protected` `WorkerQueue.QueueLoop()`

Method Summary
`protected void` `flush()`
`void` `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WorkerQueue.QueueLoop

    protected WorkerQueue.QueueLoop()

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### flush

    protected void flush()
                  throws java.lang.Exception

Copyright © 2000 The JBoss Organization. All Rights Reserved.